Skip to content

Last updated: 22 September 2026 | Change log

Transaction reference queries

Provide a transactionReference to find the matching card payment.

Note

The API returns data for payments processed after 25 June 2024. For payments processed before then, you can query for historical payments.

Request

The transaction reference is a unique reference generated by you. It is used to identify a payment throughout its lifecycle. We highly recommend that you save the transactionReference of a payment and use it to query payments when needed.

GET https://try.access.worldpay.com/paymentQueries/payments?transactionReference={transactionReference}

Example

GET https://try.access.worldpay.com/paymentQueries/payments?transactionReference=Memory265-13/08/1876

Parameter description

ParameterRequiredDescription
transactionReference✅A unique reference generated by you. It is used to identify a payment throughout its lifecycle.

Response

The response contains summary information about the payment associated with the transactionReference. For detailed information about a payment you should run a query using the paymentId.

Response schema

_linksobjectrequired

links to the pages.

_embeddedobjectrequired

Response examples

{
  "_links":{
    "self":{
      "href":"/paymentQueries/payments?transactionReference=myTransactionRef"
    }
  },
  "_embedded":{
    "payments":[
      {
        "timestamp":"2025-07-07T12:42:49.180Z",
        "paymentId":"pay8-y92Hu8vA-m30qa4C_9w0",
        "transactionReference":"myTransactionRef",
        "narrative":{
          "line1":"narrativeline1",
          "line2":"narrativeline2"
        },
        "transactionType":"cardOnFile",
        "authorizationType":"authorization",
        "lastEvent": "authorizationSucceeded",
        "entity":"default",
        "issuer":{
          "authorizationCode":"A12345"
        },
        "scheme":{
          "reference":"060720116005062"
        },
        "updatedPaymentInstrument":{
          "type":"card/plain+masked",
          "card":{
            "number":{
              "last4Digits":"0275",
              "cardBin":"478901"
            },
            "brand":"visa",
            "expiryDate":{
              "month":10,
              "year":2036
            },
            "countryCode":"GB",
            "fundingType":"credit"
          },
          "accountUpdaterMessage":"The account number was changed"
        },
        "paymentInstrument":{
          "type":"card/plain",
          "card":{
            "number":{
              "last4Digits":"0274",
              "cardBin":"478900"
            },
            "brand":"visa",
            "expiryDate":{
              "month":9,
              "year":2035
            },
            "countryCode":"GB",
            "fundingType":"debit",
            "issuerName":"A Card Issuer",
            "paymentAccountReference":"Q1HJZ28RKA1EBL470G9XYG90R5D3E",
            "category":"consumer"
          }
        },
        "value":{
          "currency":"GBP",
          "amount":1120
        },
        "_links":{
          "self":{
            "href":"/paymentQueries/payments/pay8-y92Hu8vA-m30qa4C_9w0"
          }
        }
      }
    ]
  }
}


Historical payments

If the payment was processed before 25 June 2024, you must query our historical payments library.

You receive a next action link in the response. Add your entityReference and transactionReference to query historical payments.

Example

{
    "_links": {
        "self": {
            "href": "/paymentQueries/payments?transactionReference=demo-test1"
        },
        "paymentQueries:queryArchive": {
            "href": "/paymentQueries/archivedPayments?transactionReference={transactionReference}&entityReference={entityReference}",
            "templated": true
        }
    },
    "_embedded": {
        "payments": []
    }
}